(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common/http'), require('apollo-link')) :
    typeof define === 'function' && define.amd ? define(['exports', '@angular/common/http', 'apollo-link'], factory) :
    (factory((global.apollo = global.apollo || {}, global.apollo.link = global.apollo.link || {}, global.apollo.link.headers = {}),global.ng.common.http,global.apolloLink.core));
}(this, (function (exports,http,apolloLink) { 'use strict';

    var __assign = (undefined && undefined.__assign) || Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    var httpHeaders = function () {
        return new apolloLink.ApolloLink(function (operation, forward) {
            var getContext = operation.getContext, setContext = operation.setContext;
            var context = getContext();
            if (context.headers) {
                setContext(__assign({}, context, { headers: new http.HttpHeaders(context.headers) }));
            }
            return forward(operation);
        });
    };

    exports.httpHeaders = httpHeaders;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=bundle.umd.js.map
